import Options from 'mailgun.js/interfaces/Options';
import type { ValidationResult } from 'mailgun.js/interfaces/Validate';
import { CreateUpdateList, DestroyedList, MailingList } from 'mailgun.js/interfaces/lists';
import { CreateUpdateMailListMembers, DeletedMember, MailListMember, MailListMembersQuery, MultipleMembersData, NewMultipleMembersResponse } from 'mailgun.js/interfaces/mailListMembers';
import type APIError from 'mailgun.js/error';
import type { EmailOptions } from './interfaces';
export declare type MailgunError = APIError;
export declare class MailgunService {
    private readonly configuration;
    private readonly mailgun;
    constructor(configuration: Options);
    createEmail: (domain: string, data: EmailOptions) => Promise<any>;
    validateEmail: (email: string) => Promise<ValidationResult>;
    createList: (data: CreateUpdateList) => Promise<MailingList>;
    destroyList: (mailListAddress: string) => Promise<DestroyedList>;
    getList: (mailListAddress: string) => Promise<MailingList>;
    updateList: (mailListAddress: string, data: CreateUpdateList) => Promise<MailingList>;
    listAddMember: (mailListAddress: string, data: CreateUpdateMailListMembers) => Promise<MailListMember>;
    listGetMembers: (mailListAddress: string, query?: MailListMembersQuery) => Promise<MailListMember[]>;
    listCreateMembers: (mailListAddress: string, data: MultipleMembersData) => Promise<NewMultipleMembersResponse>;
    listupdateMember: (address: string, memberAddress: string, data: CreateUpdateMailListMembers) => Promise<MailListMember>;
    listDestroyMember: (address: string, memberAddress: string) => Promise<DeletedMember>;
}
